Package Gnumed :: Package timelinelib :: Package wxgui :: Package dialogs :: Package fieldselection :: Module view :: Class FieldSelectionDialog |
[frames] | no frames]

# Class FieldSelectionDialog

source code

    humblewx.Dialog --+
                      |
       framework.Dialog --+
                          |
                         FieldSelectionDialog

    <BoxSizerVertical name="sizer">
        <StaticBoxSizerVertical label="$(description_text)" name="box" border="ALL"/>
        <DialogButtonsOkCancelSizer  border="BOTTOM|LEFT|RIGHT"/>
    </BoxSizerVertical>

Instance Methods
__init__(self, parent, title, data, fields) | source code
CreateFieldCheckboxes(self, all_fields, fields) | source code
GetFields(self) | source code
GetSelectedFields(self) | source code
Inherited from `framework.Dialog`: `DisplayErrorMessage`, `DisplayInformationMessage`, `EndModalOk`